### Method

# Camel NameValueArray get

since: 3.24

#### Declaration [src]

    gboolean
    camel_name_value_array_get (
      const CamelNameValueArray* array,
      guint index,
      const gchar** out_name,
      const gchar** out_value
    )

#### Description [src]

Returns the name and the value of the element at index `index`. Either of the `out_name` and `out_value` can be `NULL`, to not return that part.

Available since: 3.24

#### Parameters

`index`

  Type: `guint`

  An index.

`out_name`

  Type: `const gchar**`

  A place to store the name of the element, or `NULL`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`out_value`

  Type: `const gchar**`

  A place to store the value of the element, or `NULL`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` otherwise.

See: camel_name_value_array_get_name, camel_name_value_array_get_value, camel_name_value_array_get_named.